#!/bin/bash

installDir="$HOME/.local/bin/"
libDir="/usr/local/lib/SimplyGit/"

if [ $UID -ne 0 ]; then
	echo "Run installer as root"
	echo "Need to copy stuff to $libDir";
	exit 1
fi

if [ ! -d $installDir ]; then
	echo "Making $installDir"
	mkdir -p $installDir
fi

if [ ! -d $libDir ]; then
	echo "Making $libDir"
	mkdir -p $libDir
fi

echo "Copying bin"
cp ./sg $installDir

echo "Copying libs"
cp ./lib/SimplyGit/* $libDir
